Bug 246066 - Cannot install PPC-Fedora-7 QEMU guest on x86_64-Fedora-7 host
Cannot install PPC-Fedora-7 QEMU guest on x86_64-Fedora-7 host
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 06:19 EDT by Nathan Watson
Modified: 2008-06-16 21:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:43:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nathan Watson 2007-06-28 06:19:50 EDT
Description of problem:

I'd like to run Fedora-7-PPC guest via QEMU on Fedora-7-x86_64.  I cannot do
this install.

Version-Release number of selected component (if applicable):

  qemu-0.9.0-2.fc7
  libvirt-0.2.3-1.fc7
  libvirt-python-0.2.3-1.fc7
  virt-manager-0.4.0-2.fc7

How reproducible:

Always reproducible.

Steps to Reproduce:
1.  Shut down all other virtual machines (just to be sure)
2.  Use virt-manager to create Fedora-7 PPC guest OS (have
    done this successfully for Solaris-10-Dev-x86_64,
    Windows XP/x86, Fedora-7-x86_64 guests), nothing fancy
3.  Launch the new machine for install
4.  Install fails with complaints (detailed later)
5.  Find the full 'qemu-system-ppc' command line with
    'ps -aef' with all arguments to re-create virt-manager's
    attempt to create the virtual machine
6.  Run manually from command line this equivalent (for purposes
    of this bug) launching command:
     /usr/bin/qemu-system-ppc -M g3bw -m 500 -smp 1 \
       -monitor stdio -no-reboot -boot d \
       -hda /dev/NoRaidVolGroupB/BogatzaPpcF7m03_RootFs \
       -cdrom /opt/standard_downloads/ThirdParty/RedHat/Fedora7/F-7-ppc-DVD.iso\
      
       -net none -nographic -serial stdio

Actual results:

STEP 6 RESULTS IN THIS OUTPUT:

[root@porta01x ~]# /usr/bin/qemu-system-ppc -M g3bw -m 500 -smp 1 -monitor stdio
-no-reboot -boot d -hda /dev/NoRaidVolGroupB/BogatzaPpcF7m03_RootFs -
cdrom /opt/standard_downloads/ThirdParty/RedHat/Fedora7/F-7-ppc-DVD.iso -net
none -nographic -serial stdio
(qemu) register PCI host 'pci' 'pci' 'grackle' 'MOT,MPC106'
register 'pci' 'pci' 'grackle' 'MOT,MPC106' 0x80000000 in 'device-tree' 0xffffffff
Done 582b000 582b880
PCI device '<null>' 0 0 0 has no reg properties:
PCI device '<null>' 0 0 0 has no assigned addresses properties:
register pci device 'Qemu VGA' 00000001 'display' 'VGA' 'Qemu VGA'
register 'Qemu VGA' 'display' 'VGA' 'Qemu VGA' 0x00000001 in 'pci' 0x80000000
Done 582b880 582ba00
PCI device 'Qemu VGA' 0 1 0 reg properties:
  addr: 82000810 00000000 80000000 size: 00000000 00800000
PCI device 'Qemu VGA' 0 1 0 assigned addresses properties:
  addr: 82000810 00000000 80000000 size: 00000000 00800000
register pci device 'pci-ata' 00000002 'pci-ide' '<null>' '<null>'
register 'pci-ata' 'pci-ide' '<null>' '<null>' 0x00000002 in 'pci' 0x80000000
Done 582b880 582bb00
PCI device 'pci-ata' 0 2 0 reg properties:
  addr: 01001010 00000000 00001000 size: 00000000 00000100
  addr: 01001014 00000000 00001100 size: 00000000 00000100
  addr: 01001018 00000000 00001200 size: 00000000 00000100
  addr: 0100101c 00000000 00001300 size: 00000000 00000100
  addr: 01001020 00000000 00001400 size: 00000000 00000100
PCI device 'pci-ata' 0 2 0 assigned addresses properties:
  addr: 01001010 00000000 00001000 size: 00000000 00000100
  addr: 01001014 00000000 00001100 size: 00000000 00000100
  addr: 01001018 00000000 00001200 size: 00000000 00000100
  addr: 0100101c 00000000 00001300 size: 00000000 00000100
  addr: 01001020 00000000 00001400 size: 00000000 00000100
register pci device 'mac-io' 00000003 'mac-io' 'paddingtonheathrow' 'AAPL,343S1211'
register 'mac-io' 'mac-io' 'paddingtonheathrow' 'AAPL,343S1211' 0x00000003 in
'pci' 0x80000000
Done 582b880 582bd80
PCI device 'mac-io' 0 3 0 reg properties:
  addr: 82001810 00000000 80880000 size: 00000000 00080000
PCI device 'mac-io' 0 3 0 assigned addresses properties:
  addr: 82001810 00000000 80880000 size: 00000000 00080000
PPC Open Hack'Ware BIOS for qemu version 0.4.1
Build 2005-07-06 23:10:57
Copyright 2003-2005 Jocelyn Mayer

Memory size: 500 MB.
Booting from device d
ide0: drive 0: Hard Disk
ERROR: OF_property_copy cannot get property 'hd' for aliases
ide0: drive 1: CD-ROM
ERROR: OF_property_copy cannot get property 'cd' for aliases
ide1: drive 0: none
ide1: drive 1: none
Probe partitions for device c
Boot partition: 0 9401fff8 9401fff8 0
Probe partitions for device d
Found Apple partition map...
Not a bootable partition 0 0 (0 5834900)
Partition: 2 'Fedora 7 ppc DVD' 'Apple_HFS' st 10 size 6be4a0
Probe filesystem on dummy Apple partition 'Apple'  5834880
New bootfile
Probe filesystem on filesystem Apple partition 'Fedora 7 ppc DVD'  5834900
HFS volume
Partition is bootable (2)
bd_set_boot_part: part 5834900 (0) 2
Boot partition: 5834900 582e580 582e580 0
ERROR: Found boot partition : 5834900 582e580
ERROR: Not a MACH-O file
ERROR: XML error: unknown Forth script: f13052f7

" screen" output
load-base release-load-area
" /cpus/@0" find-package if
 " 64-bit" rot get-package-property 0= if
  2drop
  " boot cd:,\ppc\mac\yaboot conf=cd:,\ppc\ppc64\yaboot.conf" eval
 else
  " boot cd:,\ppc\mac\yaboot conf=cd:,\ppc\ppc32\yaboot.conf" eval
 then
then

Unable to load boot file

Expected results:

Expected CD image to be booted and for PPC-Fedora-7 guest OS to
be installable.

Additional info:

... will provide more info if required ...
Comment 1 Nathan Watson 2007-06-28 06:25:20 EDT
Attempts to use '-M prep' and '-M mac99' also failed.
Comment 2 Hans de Goede 2007-06-28 07:36:17 EDT
Erm, if you're using virt-manager, I think you can only create x86 virtual
machines, as that uses kvm. To run a PPC OS you would need to switch to full
emulation instead of virtualisation as the PPC processor is not an x86 processor.

Try installing and using the standalone version of qemu for this.
Comment 3 Nathan Watson 2007-06-28 18:05:33 EDT
First, if you look at my bug report, you see I did the equivalent of what
virt-manager does with qemu-system-ppc, taking virt-manager out of the loop.
I used the "standalone QEMU" directly.

Second, virt-manager does end up invoking qemu-system-ppc instead of
qemu-kvm (I assume the latter is the QEMU emulator that would be
invoked for KVM).  The qemu-system-ppc is the emulated PPC.  I got
the qemu-system-ppc command line (and modified it slightly for this
bug report) by finding the qemu-system-ppc invocation made by virt-manager
with "ps -aef".

Third, virt-manager allows one to create PPC-, MIPS-, and SPARC(32)-emulated
systems.  See the 'virt-manager' screen shot at
http://www.gg411.com/rh_bug_246066/VIRT_MANAGER_PPC_ET_AL.jpg
to see that virt-manager in "Fedora 7" on x86_64 presents these other
targets as an option.  Only for x86_64 and x86 targets does virt-manager
allow "full hardware acceleration", which I've read means KVM.

Fourth, the link "http://www.mail-archive.com/qemu-devel@nongnu.org/msg08330.html"
seems to have some bearing on this issue, discusses the same error
messages I witness.  Apparently booting PPC-Fedora used to work in
pre-qemu-0.9.0.  Fabrice Bellard says:  "Note that there seem to
be a regression in the PPC target in the 0.9.0 version" in that link.

(NOTE:  I will advise when the screen-shot mentioned in this message
is ready.)
Comment 4 Nathan Watson 2007-06-28 18:14:39 EDT
The screen-shot of 'virt-manager' presenting the PPC, MIPS, and
SPARC processors as QEMU options is now present at
http://www.gg411.com/rh_bug_246066/VIRT_MANAGER_PPC_ET_AL.jpg.

On my Fedora 7 x86_64 system whenever x686 or x86_64 targets
are chosen for the virtualization method, the
"Enable kernel/hardware acceleration" option is settable --
if chosen, this option means "use KVM", otherwise, use emulation.
For PPC, MIPS, and SPARC, this option is not settable, meaning
virt-manager will invoke one of the full-emulation qemu-system-*
binaries.

From the link http://www.mail-archive.com/qemu-devel@nongnu.org/msg08330.html
it's apparent the issue I ran into (and presented in the few lines
just before "Unable to load boot file") was encoutered by someone else
in 2007/February.

Thanks.
Comment 5 Bug Zapper 2008-05-14 09:18:21 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 21:43:40 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.